Updates the specified entity by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
This request accepts mostly the same arguments as the entity creation call.
Body
-
The contracting entity's address.
-
The contracting entity's minimum required coverage limits.
-
Set of key-value pairs that you can attach to an object. Keys you pass are added or replaced and keys you leave out are kept. Pass an empty value, e.g. {}, to custom_metadata to unset all keys.
-
The contracting entity's legal name.
-
An array of coverage types that can include one or more of the following insurance coverage values:
general,professional,workers-comp,media, andcyber.Values are
general,professional,workers-comp,media, orcyber.
PUT
/api/v1/entities/{entity}
curl \
--request PUT 'https://api.1099policy.com/api/v1/entities/en_Ah3tqYn' \
--header "Content-Type: application/json" \
--data '{
"address": {
"country": "null",
"line1": "92 Geary St",
"line2": "null",
"locality": "San Francisco",
"postalcode": 94114,
"region": "CA"
},
"coverage_limit": {
"aggregate_limit": 200000000,
"occurrence_limit": 100000000
},
"custom_metadata": {},
"name": "string",
"required_coverage": [
"general",
"workers-comp"
]
}'
Request examples
{
"address": {
"country": "null",
"line1": "92 Geary St",
"line2": "null",
"locality": "San Francisco",
"postalcode": 94114,
"region": "CA"
},
"coverage_limit": {
"aggregate_limit": 200000000,
"occurrence_limit": 100000000
},
"custom_metadata": {},
"name": "string",
"required_coverage": [
"general",
"workers-comp"
]
}
Response examples (200)
{
"address": {
"country": "null",
"line1": "92 Geary St",
"line2": "null",
"locality": "San Francisco",
"postalcode": 94114,
"region": "CA"
},
"coverage_limit": {
"aggregate_limit": 200000000,
"occurrence_limit": 100000000
},
"created": 1646818364,
"custom_metadata": {
"facility_id": "056079"
},
"id": "en_Ah3tqYn",
"name": "Apple, Inc",
"required_coverage": [
"general",
"workers-comp"
]
}